Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class StylesheetComposed

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.UnImplNode
            |
            +--weblogic.apache.xalan.templates.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.templates.Stylesheet
                        |
                        +--weblogic.apache.xalan.templates.StylesheetComposed

Direct Known Subclasses:
  StylesheetRoot

public class StylesheetComposed
extends Stylesheet

Represents a stylesheet that has methods that resolve includes and imports. It has methods on it that return "composed" properties, which mean that:

1. Properties that are aggregates, like OutputProperties, will be composed of properties declared in this stylsheet and all included stylesheets.
2. Properties that aren't found, will be searched for first in the includes, and, if none are located, will be searched for in the imports.
3. Properties in that are not atomic on a stylesheet will have the form getXXXComposed. Some properties, like version and id, are not inherited, and so won't have getXXXComposed methods.

In some cases getXXXComposed methods may calculate the composed values dynamically, while in other cases they may store the composed values.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xalan.templates.Stylesheet
`STYLESHEET_EXT`

Fields inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`m_docOrderNumber, m_hasVariableDecl, m_parentNode`

Constructor Summary
`StylesheetComposed(Stylesheet parent)` Uses an XSL stylesheet document.

Method Summary
`StylesheetComposed` | `getImportComposed(int i)` Get a stylesheet from the "import" list.
`int` | `getImportCountComposed()` Get the precedence of this stylesheet in the global import list.
`Stylesheet` | `getIncludeComposed(int i)` Get an "xsl:include" property.
`int` | `getIncludeCountComposed()` Get the number of included stylesheets.
`boolean` | `isAggregatedType()` Tell if this can be cast to a StylesheetComposed, meaning, you can ask questions from getXXXComposed functions.
`void` | `recompose(java.util.Vector recomposableElements)` Adds all recomposable values for this precedence level into the recomposableElements Vector that was passed in as the first parameter.
`void` | `recomposeTemplates(boolean flushFirst)` For compilation support, we need the option of overwriting (rather than appending to) previous composition.

Methods inherited from class weblogic.apache.xalan.templates.Stylesheet
`containsExcludeResultPrefix, containsExtensionElementURI, getAttributeSet, getAttributeSetCount, getDecimalFormat, getDecimalFormat, getDecimalFormatCount, getExcludeResultPrefix, getExcludeResultPrefixCount, getExtensionElementPrefix, getExtensionElementPrefixCount, getHref, getId, getImport, getImportCount, getInclude, getIncludeCount, getKey, getKeyCount, getNamespaceAlias, getNamespaceAliasCount, getNodeName, getNodeType, getNonXslTopLevel, getOutput, getOutputCount, getParam, getPreserveSpace, getPreserveSpaceCount, getStripSpace, getStripSpaceCount, getStylesheet, getStylesheetComposed, getStylesheetParent, getStylesheetRoot, getTemplate, getTemplateCount, getVariable, getVariableOrParam, getVariableOrParam, getVariableOrParamCount, getVersion, getXmlnsXsl, getXSLToken, isRoot, replaceTemplate, setAttributeSet, setDecimalFormat, setExcludeResultPrefixes, setExtensionElementPrefixes, setHref, setId, setImport, setInclude, setKey, setLocaterInfo, setNamespaceAlias, setNonXslTopLevel, setOutput, setParam, setPreserveSpaces, setStripSpaces, setStylesheetParent, setStylesheetRoot, setTemplate, setVariable, setVersion, setXmlnsXsl`

Methods inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, canStripWhiteSpace, compareTo, compose, endCompose, error, error, error, execute, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getOwnerDocument, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getSystemId, getTagName, getUid, getXmlSpace, hasChildNodes, hasTextLitOnly, hasVariableDecl, isCompiledTemplate, isValidNCName, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class weblogic.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StylesheetComposed

    public StylesheetComposed(Stylesheet parent)

  Uses an XSL stylesheet document.

  Parameters:
    `parent` - The including or importing stylesheet.

Method Detail

### isAggregatedType

    public boolean isAggregatedType()

  Tell if this can be cast to a StylesheetComposed, meaning, you can ask questions from getXXXComposed functions.

  Returns:
    True since this is a StylesheetComposed
  Overrides:
    isAggregatedType in class Stylesheet

### recompose

    public void recompose(java.util.Vector recomposableElements)
                   throws javax.xml.transform.TransformerException

  Adds all recomposable values for this precedence level into the recomposableElements Vector that was passed in as the first parameter. All elements added to the recomposableElements vector should extend ElemTemplateElement.

  Parameters:
    `recomposableElements` - a Vector of ElemTemplateElement objects that we will add all of our recomposable objects to.

### getImportComposed

    public StylesheetComposed getImportComposed(int i)
                                         throws java.lang.ArrayIndexOutOfBoundsException

  Get a stylesheet from the "import" list.

  Parameters:
    `i` - Index of stylesheet in import list
  Returns:
    The stylesheet at the given index
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    import in XSLT Specification

### getImportCountComposed

    public int getImportCountComposed()

  Get the precedence of this stylesheet in the global import list. The lowest precedence is 0. A higher number has a higher precedence.

  Returns:
    the precedence of this stylesheet in the global import list.
  See Also:
    import in XSLT Specification

### getIncludeComposed

    public Stylesheet getIncludeComposed(int i)
                                  throws java.lang.ArrayIndexOutOfBoundsException

  Get an "xsl:include" property.

  Parameters:
    `i` - Index of stylesheet in "include" list
  Returns:
    The stylesheet at the given index in the "include" list
  Throws:
    java.lang.ArrayIndexOutOfBoundsException -
  See Also:
    include in XSLT Specification

### getIncludeCountComposed

    public int getIncludeCountComposed()

  Get the number of included stylesheets.

  Returns:
    the number of included stylesheets.
  See Also:
    import in XSLT Specification

### recomposeTemplates

    public void recomposeTemplates(boolean flushFirst)
                            throws javax.xml.transform.TransformerException

  For compilation support, we need the option of overwriting (rather than appending to) previous composition. We could phase out the old API in favor of this one, but I'm holding off until we've made up our minds about compilation. ADDED 9/5/2000 to support compilation experiment. NOTE: GLP 29-Nov-00 I've left this method in so that CompilingStylesheetHandler will compile. However, I'm not sure why it's needed or what it does and I've commented out the body.

  Parameters:
    `flushFirst` - Flag indicating the option of overwriting (rather than appending to) previous composition.
  Throws:
    javax.xml.transform.TransformerException -
  See Also:
    section-Defining-Template-Rules in XSLT Specification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference